config_opts['chroot_setup_cmd'] = 'install tar gcc-c++ redhat-rpm-config redhat-release which xz sed make bzip2 gzip gcc coreutils unzip diffutils cpio bash gawk rpm-build info patch util-linux findutils grep'
config_opts['dist'] = 'el8'  # only useful for --resultdir variable subst
config_opts['releasever'] = '8'
config_opts['package_manager'] = 'dnf'
config_opts['extra_chroot_dirs'] = [ '/run/lock', ]
#config_opts['bootstrap_image'] = 'docker.io/inferit/msvsphere:8'
config_opts['use_bootstrap_image'] = False

config_opts['dnf.conf'] = """
[main]
keepcache=1
debuglevel=2
reposdir=/dev/null
logfile=/var/log/yum.log
retries=20
obsoletes=1
gpgcheck=0
assumeyes=1
syslog_ident=mock
syslog_device=
metadata_expire=0
mdpolicy=group:primary
best=1
install_weak_deps=0
protected_packages=
module_platform_id=platform:el8
user_agent={{ user_agent }}

[appstream]
name=MSVSphere $releasever - AppStream
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/appstream
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/AppStream/$basearch/os/
enabled=1
gpgcheck=1
countme=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-8
metadata_expire=86400
enabled_metadata=1
module_hotfixes=0

[appstream-debug]
name=MSVSphere $releasever - AppStream - Debug
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/appstream-debug
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/AppStream/debug/$basearch/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-8
metadata_expire=86400
enabled_metadata=0

[appstream-source]
name=MSVSphere $releasever - AppStream - Source
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/appstream-source
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/AppStream/Source/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-8
metadata_expire=86400
enabled_metadata=0

[baseos]
name=MSVSphere $releasever - BaseOS
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/baseos
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/BaseOS/$basearch/os/
enabled=1
gpgcheck=1
countme=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-8
metadata_expire=86400
enabled_metadata=1

[baseos-debug]
name=MSVSphere $releasever - BaseOS - Debug
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/baseos-debug
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/BaseOS/debug/$basearch/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-8
metadata_expire=86400
enabled_metadata=0

[baseos-source]
name=MSVSphere $releasever - BaseOS - Source
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/baseos-source
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/BaseOS/Source/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-8
metadata_expire=86400
enabled_metadata=0

[devel]
name=MSVSphere $releasever - Devel (WARNING: UNSUPPORTED - FOR BUILDROOT USE ONLY!)
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/devel
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/Devel/$basearch/os/
enabled=1
gpgcheck=1
countme=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-8
metadata_expire=86400
enabled_metadata=0
module_hotfixes=0

[devel-debug]
name=MSVSphere $releasever - Devel - Debug
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/devel-debug
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/Devel/debug/$basearch/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-8
metadata_expire=86400
enabled_metadata=0

[devel-source]
name=MSVSphere $releasever - Devel - Source
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/devel-source
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/Devel/Source/
enabled=0
gpgcheck=1
countme=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-8

[extras]
name=MSVSphere $releasever - Extras
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/extras
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/Extras/$basearch/os/
enabled=1
gpgcheck=1
countme=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-8
metadata_expire=86400
enabled_metadata=1

[extras-debug]
name=MSVSphere $releasever - Extras - Debug
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/extras-debug
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/Extras/debug/$basearch/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-8
metadata_expire=86400
enabled_metadata=0

[extras-source]
name=MSVSphere $releasever - Extras - Source
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/extras-source
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/Extras/Source/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-8
metadata_expire=86400
enabled_metadata=0

[powertools]
name=MSVSphere $releasever - PowerTools
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/powertools
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/PowerTools/$basearch/os/
enabled=1
gpgcheck=1
countme=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-8
metadata_expire=86400
enabled_metadata=1
module_hotfixes=0

[powertools-debug]
name=MSVSphere $releasever - PowerTools - Debug
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/powertools-debug
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/PowerTools/debug/$basearch/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-8
metadata_expire=86400
enabled_metadata=0

[powertools-source]
name=MSVSphere $releasever - PowerTools - Source
mirrorlist=https://mirrors.inferitos.ru/mirrorlist/$releasever/powertools-source
# baseurl=https://repo.inferitos.ru/msvsphere/$releasever/PowerTools/Source/
enabled=0
gpgcheck=1
gpgkey=file:///usr/share/distribution-gpg-keys/msvsphere/RPM-GPG-KEY-MSVSphere-8
metadata_expire=86400
enabled_metadata=0

"""
